Module tdlight.api
Package it.tdlight.jni

# Class TdApi.VectorPathCommand

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.VectorPathCommand

Direct Known Subclasses:
  `TdApi.VectorPathCommandCubicBezierCurve`, `TdApi.VectorPathCommandLine`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.VectorPathCommand extends TdApi.Object permits TdApi.VectorPathCommandLine, TdApi.VectorPathCommandCubicBezierCurve
This class is an abstract base class. Represents a vector path command.

## Constructor Summary

Constructors
Constructor
Description
`VectorPathCommand()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VectorPathCommand

public VectorPathCommand()
Default class constructor.